## org.hibernate.ejb.criteria.expression
Interface UnaryOperatorExpression<T>

All Superinterfaces:
  Expression<T>, Selection<T>, Serializable, TupleElement<T>

All Known Implementing Classes:
  IsEmptyPredicate, NullnessPredicate, UnaryArithmeticOperation

    public interface UnaryOperatorExpression<T>

extends Expression<T>, Serializable

Contract for operators with a single operand.

Method Summary
`Expression<?>` `getOperand()` Get the operand.

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getOperand

    Expression<?> getOperand()

  Get the operand.

  Returns:
    The operand.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.